Subject: [apps-discuss] Question: update registration of Organization: header to apply to email?

From: Graham Klyne <[email-masked]>
Date: Tue, 01 Sep 2015 10:12:39 +0100

All,

I've received a request to review provisional IANA registration of header field 
"Organization:" for use in email, per [2].  This registration request is part of 
an ISE RFC submission.

Currently, the header field is permanently registered for use in netnews [1], 
and the new registration request [2] appears to be compatible with that usage.

[1] http://tools.ietf.org/html/rfc5536#section-3.2.9

[2] https://tools.ietf.org/html/draft-davin-eesst-04#section-8.2

Under the circumstances, assuming the new registration doesn't raise any red 
flags (I can't see any), and assuming the containing publication passes ISE 
review, I think it would be appropriate to update the current permanent 
registration of "Organization:" to also include email as an applicable protocol, 
and to add the new RFC as an additional reference.

Does anyone here disagree?

#g
--

For ease of reference, the registration templates:

 From RFC5536 [1]:

[[
  Header field name: Organization
       Applicable protocol: netnews
       Status: standard
       Author/change controller: IETF
       Specification document(s): This document (Section 3.2.9)
]]

and

[[
3.2.9.  Organization

    The Organization header field is a short phrase identifying the
    poster's organization.

    organization    =  "Organization:" SP unstructured CRLF

       NOTE: There is no "s" in Organization.
]]

 From draft-davin-eesst [2]:

[[
       Header field name: Organization

       Applicable protocol: mail

       Status: provisional

       Author/Change controller:  James R. Davin
                                  [email-masked]
                                  http://www.eesst.org

       Specification document(s): draft-davin-eesst-04

       Related information:
          The value of this header field identifies the organization or
          institution to which belongs the originator of the relevant
          message.
]]

---

From: Dave Cridland <[email-masked]>
Date: Tue, 1 Sep 2015 10:21:41 +0100

On 1 September 2015 at 10:12, Graham Klyne <[email-masked]> wrote:

> All,
>
> I've received a request to review provisional IANA registration of header
> field "Organization:" for use in email, per [2].  This registration request
> is part of an ISE RFC submission.
>
> Currently, the header field is permanently registered for use in netnews
> [1], and the new registration request [2] appears to be compatible with
> that usage.
>
> Under the circumstances, assuming the new registration doesn't raise any
> red flags (I can't see any), and assuming the containing publication passes
> ISE review, I think it would be appropriate to update the current permanent
> registration of "Organization:" to also include email as an applicable
> protocol, and to add the new RFC as an additional reference.
>

Not at all; I'm surprised it's not been previously used. I had an idea it
might have been mentioned in the MIXER specifications, but I can't
immediately find it.

Dave.

---

From: Claudio Allocchio <[email-masked]>
Date: Tue, 01 Sep 2015 11:31:18 +0200

In MIXER it was the X.400 corresponding field... But I think it was not mapped to an header field..  Need to check ;-)

On September 1, 2015 11:21:41 AM CEST, Dave Cridland <[email-masked]> wrote:
>------------------------------------------------------------------------
>
>_______________________________________________
>apps-discuss mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/apps-discuss

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

---

From: John C Klensin <[email-masked]>
Date: Tue, 01 Sep 2015 05:44:50 -0400

Graham,

This is not an objection, merely two comments:

(1) If anyone is still paying attention to or using X.400, even
as a discussion/terminology framework, the closer this header
field gets to email, the more likelihood there is of confusion
with the MTS.OrganizationName and
MTS.OrganizationalUnitNames.value which are fairly highly
structured rather than being the unstructured strings of
Netnews/ RFC 5536.  More specifically (and still relevant
regardless of what one things of X.400 usage), there are
possibly interactions with  ITU X.660 and ISO/IEC 9834-1, and
the registration authority hierarchy they establish.

If we are going to do this, I think it would be sensible to
include a comment in either the spec, the registry, or both that
there is no expectation that the names themselves will be
registered or harmonious with  ITU X.660 / ISO/IEC 9834-1
registered strings (assuming that is actually the case).

(2) In the future, it would save those of us who are inclined to
respond to questions of this nature a bit of time if you
included the exact name, and preferably a URL, for the registry
itself in your note.

best,
    john

--On Tuesday, September 01, 2015 10:12 +0100 Graham Klyne
<[email-masked]> wrote:

> All,
> 
> I've received a request to review provisional IANA
> registration of header field "Organization:" for use in email,
> per [2].  This registration request is part of an ISE RFC
> submission.
> 
> Currently, the header field is permanently registered for use
> in netnews [1], and the new registration request [2] appears
> to be compatible with that usage.
> 
> [2]
> https://tools.ietf.org/html/draft-davin-eesst-04#section-8.2
> 
> Under the circumstances, assuming the new registration doesn't
> raise any red flags (I can't see any), and assuming the
> containing publication passes ISE review, I think it would be
> appropriate to update the current permanent registration of
> "Organization:" to also include email as an applicable
># g

---

From: John C Klensin <[email-masked]>
Date: Tue, 01 Sep 2015 09:14:07 -0400

--On Tuesday, September 01, 2015 11:31 +0200 Claudio Allocchio
<[email-masked]> wrote:

> In MIXER it was the X.400 corresponding field... But I think
> it was not mapped to an header field..  Need to check ;-)

It wasn't.  It is mapped into the address in either of two ways,
but not a header.   I checked last night before sending my note.

I do have a vague recollection of an Organization header field
in one of the spin-offs of Internet mail, perhaps a secured
military one, many years ago, but that was never officially on
the IETF radar.

    john

---

From: Graham Klyne <[email-masked]>
Date: Wed, 02 Sep 2015 10:10:52 +0100

Hi John,

Thanks for this.  I agree I should have included a link to the Message Headers 
registry [1] - sorry for the omission.

Looking at your note, and if its not too late, I'm inclined to request a small 
tweak to the registration template in [2], such as:

[[

       Status: informational

       Related information:

          Note: this field is quite distinct from mail headers
          MTS.OrganizationName and MTS.OrganizationalUnitNames.value
          used with X.400 mail.
]]

I think that is sufficient to flag the alternative and conveys the essence
of what you are say here.  (But I note the MTS.* values you mention are not
recorded in the header registry.)  Does this work for you?

#g
--

[1] http://www.iana.org/assignments/message-headers/message-headers.xhtml

---

From: Claudio Allocchio <[email-masked]>
Date: Wed, 2 Sep 2015 11:48:15 +0200 (CEST)

>         MTS.OrganizationName and MTS.OrganizationalUnitNames.value

I suggest:

          Note: this field is quite distinct from the mail address
          fields  MTS.OrganizationName and MTS.OrganizationalUnitNames
          used in X.400 mail.

because they are not headers in X.400, too.

> recorded in the header registry.)  Does this work for you?

I think this is ok

MTS.* values are not registered in the header registry because they are 
not translated into headers of internet mail; they only exists in the 
X.400 specification and are mapped into internet mail addresses in a 
different way (see MIXER).

> #g

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

               http://www.cert.garr.it/pgp/garr-cert-pgp-keys

---

From: Sean Leonard <[email-masked]>
Date: Thu, 3 Sep 2015 17:25:20 -0700

On Sep 1, 2015, at 2:12 AM, Graham Klyne <[email-masked]> wrote:

> All,
> 
> I've received a request to review provisional IANA registration of header field "Organization:" for use in email, per [2].  This registration request is part of an ISE RFC submission.
> 
> Currently, the header field is permanently registered for use in netnews [1], and the new registration request [2] appears to be compatible with that usage.
> 
> Under the circumstances, assuming the new registration doesn't raise any red flags (I can't see any), and assuming the containing publication passes ISE review, I think it would be appropriate to update the current permanent registration of "Organization:" to also include email as an applicable protocol, and to add the new RFC as an additional reference.

+1, no complaints, carry on.

Sean

---

From: Martin J. Dürst <[email-masked]>
Date: Fri, 4 Sep 2015 11:00:56 +0900

On 2015/09/01 18:12, Graham Klyne wrote:

> red flags (I can't see any), and assuming the containing publication
> passes ISE review, I think it would be appropriate to update the current
> permanent registration of "Organization:" to also include email as an
> applicable protocol, and to add the new RFC as an additional reference.
>

No disagreement, quite to the contrary.

It may be completely obvious to all on the list, but just for the 
record: The Organization: header field is currently widely used in email.

As a very simple example, Thunderbird has a field labeled "Organization" 
in the account setup dialog, and the value of that field is sent out in 
the Organization: header field of each email sent (including this one).

Regards,   Martin.